#ifndef _AVR_ATTINY817_H_INCLUDED
#  error "<avr/iotn817.h> must be included before this file."
#endif

/*
--------------------------------------------------------------------------
EVSYS - Event System
--------------------------------------------------------------------------
*/
#define ASYNCUSER_TCB0 ASYNCUSER0
#define ASYNCUSER_ADC0 ASYNCUSER1
#define ASYNCUSER_CCL_LUT0EV0 ASYNCUSER2
#define ASYNCUSER_CCL_LUT1EV0 ASYNCUSER3
#define ASYNCUSER_CCL_LUT0EV1 ASYNCUSER4
#define ASYNCUSER_CCL_LUT1EV1 ASYNCUSER5
#define ASYNCUSER_TCD0_EV0 ASYNCUSER6
#define ASYNCUSER_TCD0_EV1 ASYNCUSER7
#define ASYNCUSER_EVOUT0 ASYNCUSER8
#define ASYNCUSER_EVOUT1 ASYNCUSER9
#define ASYNCUSER_EVOUT2 ASYNCUSER10

#define SYNCUSER_TCA0 SYNCUSER0
#define SYNCUSER_USART0 SYNCUSER1

/* Asynchronous User Ch x Input Selection */
typedef enum EVSYS_ASYNCUSER_enum
{
    EVSYS_ASYNCUSER_OFF_gc = (0x00<<0),  /* Off */
    EVSYS_ASYNCUSER_SYNCCH0_gc = (0x01<<0),  /* Synchronous Event Channel 0 */
    EVSYS_ASYNCUSER_SYNCCH1_gc = (0x02<<0),  /* Synchronous Event Channel 1 */
    EVSYS_ASYNCUSER_ASYNCCH0_gc = (0x03<<0),  /* Asynchronous Event Channel 0 */
    EVSYS_ASYNCUSER_ASYNCCH1_gc = (0x04<<0),  /* Asynchronous Event Channel 1 */
    EVSYS_ASYNCUSER_ASYNCCH2_gc = (0x05<<0),  /* Asynchronous Event Channel 2 */
    EVSYS_ASYNCUSER_ASYNCCH3_gc = (0x06<<0),  /* Asynchronous Event Channel 3 */
} EVSYS_ASYNCUSER_t;

/* Synchronous User Ch x Input Selection */
typedef enum EVSYS_SYNCUSER_enum
{
    EVSYS_SYNCUSER_OFF_gc = (0x00<<0),  /* Off */
    EVSYS_SYNCUSER_SYNCCH0_gc = (0x01<<0),  /* Synchronous Event Channel 0 */
    EVSYS_SYNCUSER_SYNCCH1_gc = (0x02<<0),  /* Synchronous Event Channel 1 */
} EVSYS_SYNCUSER_t;
